<!DOCTYPE html>
<html>
    <head>
      <title>My Library</title>
      <link rel="stylesheet" href="Style.css">
      <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-EVSTQN3/azprG1Anm3QDgpJLIm9Nao0Yz1ztcQTwFspd3yD65VohhpuuCOmLASjC" crossorigin="anonymous">
    </head>

    <body>
        <header class="container-fluid">
          <div class="row my-3">
          <h1>MY LIBRARY</h1>
          <p><b>Welcome to My Library!</b></p>
        </div>
        </header>
        <nav class="container-fluid">
          <a href="index.html" style="color:white" class="navig">Home</a> |
          <a href="#ContactUs" style="color:white" class="navig">Contact Us</a> |
          <a href="Register.html" style="color:white" class="navig">Register</a> 
        </nav>

        <hr>

        <div class="container">
          <h5 style="text-align: center;" class="py-4">Please input your personal information to register!</h5>
          <form class="row g-3" id="form">
            <div class="col-md-6">
              <label for="inputFirstName" class="form-label"><b>First name</b></label>
              <input type="text" class="form-control" id="inputFirstName" required>
            </div>
            <div class="col-md-6">
              <label for="inputLastName" class="form-label"><b>Last name</b></label>
              <input type="text" class="form-control" id="inputLastName" required>
            </div>
            <div class="col-md-6">
              <label for="inputEmail4" class="form-label"><b>Email</b></label>
              <input type="email" class="form-control" id="inputEmail" required>
            </div>
            <div class="col-md-6">
              <label for="inputPassword4" class="form-label"><b>Password</b></label>
              <input type="password" class="form-control" id="inputPassword" required>
              <div id="passwordError" style="color: red;" class="pt-2"></div>
            </div>
            <div class="col-md-4">
              <label for="inputGender" class="form-label"><b>Gender</b></label>
              <select id="inputGender" class="form-select" required>
                <option selected>Choose</option>
                <option>Female</option>
                <option>Male</option>
              </select>
            </div>
            <div class="col-md-4">
              <label for="inputBirthday" class="form-label"><b>Birthday</b></label>
              <input type="date" class="form-control" id="inputBirthday" required>
            </div>
            <div class="col-md-4">
              <label for="inputZip" class="form-label"><b>Profile Photo</b></label>
              <input type="file" class="form-control" id="inputPhoto" required>
            </div>
            <div class="col-12 mt-4 mb-2">
              <div class="form-check">
                <input class="form-check-input" type="checkbox" id="gridCheck" required>
                <label class="form-check-label" for="gridCheck">
                  <b>Are you sure your data above is correct?</b>
                </label>
              </div>
            </div>
            <div class="col-12 pb-4">
              <button type="submit" class="btn btn-primary" id="submitButton" onclick="alert('Registration Successful')">Register</button>
            </div>
          </form>
        </div>

  
        <hr>

        <footer id="ContactUs" class="container-fluid">
          <div class="my-4">
              <h5 class="pb-2">You can contact me :</h5>
              <p><b>Author : Tazkia Athariza</b></p>
              <p><a href="mailto:tazkia.athariza.dhivara-2018@fst.unair.ac.id" style="color:white" class="navig"><b>tazkia.athariza.dhivara-2018@fst.unair.ac.id</b></a></p>
          </div>
      </footer>

    <script>
      const registration = document.getElementById('form')
      console.log(registration)

      const errorMessages = document.getElementById('passwordError') 

      // password validation

      document.getElementById('inputPassword').addEventListener("input", function(){
        const password = document.getElementById('inputPassword').value;
        if (password.length <= 6) {
        errorMessages.innerHTML = "<b>Password must be longer than 6 characters<b>";
        errorMessages.style.color = "red";
        }
        else {
        errorMessages.innerHTML = "<b>OK<b>";
        errorMessages.style.color = "green";
        }
      });

      // return values from the form

      let button = document.getElementById('submitButton')

      button.onclick = async (event) => {
        event.preventDefault()
        const firstName = document.getElementById('inputFirstName').value
        const lastName = document.getElementById('inputLastName').value
        const email = document.getElementById('inputEmail').value
        const gender = document.getElementById('inputGender').value
        const birthday = document.getElementById('inputBirthday').value
        const photo = document.getElementById('inputPhoto').value
    
        if (errorMessages.length > 2) {
        return false;
        } // this isn't working

        else {
        form.innerHTML = `<h6><b>Your Data<b><h6>
        <p>Name : ${firstName}</p>
        <p>Last Name : ${lastName}</p>
        <p>Email : ${email}</p>
        <p>Gender: ${gender}</p>
        <p>Birthday: ${birthday}</p>
        <p>File : ${photo}</p>
        <button type="submit" class="btn btn-primary" id="buttonReload" onclick="alert('Confirmed, thank you!')">Confirm</button>`;
        }
      }

      const buttonReload = getElementById(buttonReload)
      buttonReload.addEventListener("click", function(){
          location.reload()
        })
        
    </script>






    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.0.2/dist/js/bootstrap.bundle.min.js" integrity="sha384-MrcW6ZMFYlzcLA8Nl+NtUVF0sA7MsXsP1UyJoMp4YLEuNSfAP+JcXn/tWtIaxVXM" crossorigin="anonymous"></script>
    </body>
</html>